Comenzar a usar AWS CDK

GUÍA DE INTRODUCCIÓN

Módulo 1: Conocimiento de los requisitos del CDK

En este módulo, aprenderá sobre los requisitos previos que se necesitan para ejecutar el CDK.

Introducción

Para utilizar el CDK, debe tener algunos requisitos previos instalados y configurados. Aunque en esta guía no analizaremos esto en detalle, referenciaremos guías y documentación existentes que abordan cómo proceder.

Lo que aprenderá

  • Configurar la AWS CLI
  • Elegir e instalar un IDE
  • Asegurarse de contar con el marco de lenguaje correcto listo

 Tiempo de realización

5 minutos

 Requisitos previos del módulo

  • Una cuenta de AWS con acceso de nivel de administrador**
  • Navegador recomendado: la última versión de Chrome o Firefox

[**] Es posible que las cuentas creadas en las últimas 24 horas aún no tengan acceso a los servicios necesarios para este tutorial.

Requisitos previos

AWS Command Line Interface

Para que AWS CDK interactúe con la cuenta de AWS, necesita credenciales y la AWS CLI instalada y configurada. Si aún no lo ha hecho, consulte la guía Configuración del entorno para configurar la CLI en su estación de trabajo.

Si va a utilizar AWS CDK en AWS Cloud9, la CLI ya debe estar instalada y configurada.

IDE disponible

Uno de los beneficios de AWS CDK es que puede aprovechar su entorno de desarrollo favorito y tener una experiencia completa cuando explore los cientos de servicios y características diferentes de AWS.

Le recomendamos que utilice un IDE que admita la finalización de código y el resaltado de sintaxis para el lenguaje que elija:

  • VSCode
  • AWS Cloud9
  • Atom
  • vim
  • emacs
  • WebStorm
  • PyCharm

Varios marcos de lenguaje

Node.js

AWS CDK utiliza versiones específicas de Node.js (>= 10.13.0, excepto las versiones de 13.0.0 a 13.6.0). Se recomienda una versión de soporte a largo plazo (LTS) activo.

  • Para instalar Node.js, consulte las instrucciones oficiales en el sitio web de Node.js y siga las instrucciones para su sistema operativo determinado.
  • Si ya ha instalado Node.js, compruebe con qué versión cuenta mediante la ejecución del siguiente código:
node --version

Python

Si elige utilizar Python como el lenguaje del CDK, debe tener Python instalado. En concreto, debe contar con la versión Python 3.6 instalada o una versión posterior. Puede encontrar información acerca de la instalación de Python aquí.

Además, necesita tener Python Package Manager (pip) instalado. Consulte las instrucciones de la instalación aquí.

.NET

Para el desarrollo de .NET con el CDK, debe tener el .NET Core SDK instalado. En concreto, debe contar con la versión 3.1 o una versión posterior. Puede encontrar información acerca de la instalación de .NET Core SDK aquí.

Java

Si elige utilizar Java como su lenguaje, debe tener JDK (Java Development Kit) instalado. Necesita JDK 8 o una versión posterior. Puede encontrar información acerca de la descarga y la instalación de la distribución de Amazon Coretto 8 aquí. Si no desea utilizar Amazon Coretto, existen otras distribuciones de JDK 8 disponibles.

Conclusión

Ya está listo para comenzar a utilizar AWS CDK. Se recomienda utilizar AWS Cloud9 para esta guía, ya que se han instalado todos los requisitos previos.

A continuación: Instalación de la CDK CLI

Háganos saber su opinión.

Agradecemos sus comentarios
Nos alegra que esta página le haya ayudado. ¿Le gustaría compartir detalles adicionales para ayudarnos a seguir mejorando?
Cerrar
Agradecemos sus comentarios
Lamentamos que esta página no le haya ayudado. ¿Le gustaría compartir detalles adicionales para ayudarnos a seguir mejorando?
Cerrar